QGIS Application - Bug report #16875
Switching from attribute table to forms view: selected items should be displayed in form
2017-07-17 09:33 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Forms

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24774
Description

If one selects a single feature in the attribute table (the table row is blue and the window top bar says "selected: 1") and switches to form
view, the selected item is not active in the form view.

If just one feature is selected, the switch from attribute table to form should definitely show this one selected feature as active.

In addition, the side bar should scroll, so that the selected feature is visible in the side bar.

Related issues:
Related to QGIS Application - Bug report # 16196: attribute table - open in s... Closed 2017-02-15

History

#1 - 2017-07-20 08:54 AM - Andreas Neumann

Issue #16196 is similar (or even the same)

#2 - 2017-07-20 11:43 PM - Jiirgen Fischer

- Related to Bug report #16196: attribute table - open in show selected features/form view doesn't display selected feature added

#3 - 2017-10-23 11:12 AM - Andreas Neumann

- Assignee set to Matthias Kuhn

#4 - 2017-12-04 11:25 AM - Andreas Neumann

- Subject changed from Switching from attribute table to view: selected items should be displayed in form to Switching from attribute table to forms view:
selected items should be displayed in form

#5 - 2018-08-25 08:34 AM - Andreas Neumann

- Resolution set to fixed/implemented
- Status changed from Open to Closed

Already implemented in current master (3.4). Can't find the corresponding github commit - but it is implemented ;-)
